Subject: Re: Perl version support (was Re: [PATCH] git-mv is not able to handle big directories)

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 23 Nov 2005 13:56:04 -0800

Randal L. Schwartz wrote:
> 
> I'd say that 50% of the Perl-using population is at 5.6, with 25% each
> at 5.5 and 5.8.  Those on 5.5 are generally unable to upgrade Perl
> for corporate reasons.
> 
> Targetting Perl 5.6 would assist broad acceptance of git for the
> typical commercial end user.  Targetting 5.5 where possible would
> ensure practical success for everyone.
> 
> However, I have not seen the "target market" of git discussed yet
> (I came late to the party), so if support for 5.6 (or 5.5) is not chosen,
> it merely limits the market.
> 

There are a lot of Perl modules we use, so limiting it to 5.5 is 
probably a showstopper.

I'm very surprised you say that 5.6 is more prevalent than 5.8.

	-hpa